const M='M'
const O='O'

const Tags = [
	{seqlist:"A",cyccnt:0,status:M,seqs:[[
	{tag:"15A",status:M,tno:1,letter:[],label:"New Sequence"},
	{tag:"20",status:M,tno:2,letter:[],label:"Transaction Reference Number"},
	{tag:"21",status:M,tno:3,letter:[],label:"Related Reference"},
	{tag:"22",status:M,tno:4,letter:[],label:"Code/Common Reference"},
	{tag:"23",status:M,tno:5,letter:[],label:"Further Identification"},
	{tag:"94A",status:O,tno:6,letter:[],label:"Scope of Operation"},
	{tag:"82A",status:M,tno:7,letter:["82A","82D","82J"],label:"Party A"},
	{tag:"87A",status:M,tno:8,letter:["87A","87D","87J"],label:"Party B"},
	{tag:"83A",status:O,tno:9,letter:["83A","83D","83J"],label:"Fund or Beneficiary Customer"},
	{tag:"30",status:M,tno:10,letter:[],label:"Date Contract Agreed/Amended"},
	{tag:"31C",status:O,tno:11,letter:[],label:"Earliest Exercise Date"},
	{tag:"31G",status:M,tno:12,letter:[],label:"Expiry Details"},
	{tag:"31E",status:M,tno:13,letter:[],label:"Final Settlement Date"},
	{tag:"26F",status:M,tno:14,letter:[],label:"Settlement Type"},
	{tag:"39M",status:O,tno:15,letter:[],label:"Payment Clearing Centre"},
	{tag:"17F",status:O,tno:16,letter:[],label:"Non-Deliverable Indicator"},
	{cyclist:"17",cycs:[[
	{tag:"14S",status:O,tno:17,letter:[],label:"Settlement Rate Source"} 
]],
	pattern:[
	{tag:"14S",status:O,tno:17,letter:[],label:"Settlement Rate Source"} 
]	},
	{tag:"32E",status:O,tno:18,letter:[],label:"Settlement Currency"},
	{tag:"32B",status:M,tno:19,letter:[],label:"Underlying Currency and Amount"},
	{tag:"36",status:M,tno:20,letter:[],label:"Strike Price"},
	{tag:"33B",status:M,tno:21,letter:[],label:"Counter Currency and Amount"},
	{tag:"37K",status:M,tno:22,letter:[],label:"Premium Price"},
	{tag:"34P",status:M,tno:23,letter:["34P","34R"],label:"Premium Payment"},
	{tag:"53A",status:O,tno:24,letter:["53A","53B","53D"],label:"Sender's Correspondent"},
	{tag:"56A",status:O,tno:25,letter:["56A","56D"],label:"Intermediary"},
	{tag:"57A",status:M,tno:26,letter:["57A","57D"],label:"Account With Institution"},
	{tag:"77H",status:O,tno:27,letter:[],label:"Type, Date, Version of the Agreement"},
	{tag:"14C",status:O,tno:28,letter:[],label:"Year of Definitions"},
	{tag:"72",status:O,tno:29,letter:[],label:"Sender to Receiver Information"} 
]],
	pattern:[
	{tag:"15A",status:M,tno:1,letter:[],label:"New Sequence"},
	{tag:"20",status:M,tno:2,letter:[],label:"Transaction Reference Number"},
	{tag:"21",status:M,tno:3,letter:[],label:"Related Reference"},
	{tag:"22",status:M,tno:4,letter:[],label:"Code/Common Reference"},
	{tag:"23",status:M,tno:5,letter:[],label:"Further Identification"},
	{tag:"94A",status:O,tno:6,letter:[],label:"Scope of Operation"},
	{tag:"82A",status:M,tno:7,letter:["82A","82D","82J"],label:"Party A"},
	{tag:"87A",status:M,tno:8,letter:["87A","87D","87J"],label:"Party B"},
	{tag:"83A",status:O,tno:9,letter:["83A","83D","83J"],label:"Fund or Beneficiary Customer"},
	{tag:"30",status:M,tno:10,letter:[],label:"Date Contract Agreed/Amended"},
	{tag:"31C",status:O,tno:11,letter:[],label:"Earliest Exercise Date"},
	{tag:"31G",status:M,tno:12,letter:[],label:"Expiry Details"},
	{tag:"31E",status:M,tno:13,letter:[],label:"Final Settlement Date"},
	{tag:"26F",status:M,tno:14,letter:[],label:"Settlement Type"},
	{tag:"39M",status:O,tno:15,letter:[],label:"Payment Clearing Centre"},
	{tag:"17F",status:O,tno:16,letter:[],label:"Non-Deliverable Indicator"},
	{cyclist:"17",cycs:[[
	{tag:"14S",status:O,tno:17,letter:[],label:"Settlement Rate Source"} 
]],
	pattern:[
	{tag:"14S",status:O,tno:17,letter:[],label:"Settlement Rate Source"} 
]	},
	{tag:"32E",status:O,tno:18,letter:[],label:"Settlement Currency"},
	{tag:"32B",status:M,tno:19,letter:[],label:"Underlying Currency and Amount"},
	{tag:"36",status:M,tno:20,letter:[],label:"Strike Price"},
	{tag:"33B",status:M,tno:21,letter:[],label:"Counter Currency and Amount"},
	{tag:"37K",status:M,tno:22,letter:[],label:"Premium Price"},
	{tag:"34P",status:M,tno:23,letter:["34P","34R"],label:"Premium Payment"},
	{tag:"53A",status:O,tno:24,letter:["53A","53B","53D"],label:"Sender's Correspondent"},
	{tag:"56A",status:O,tno:25,letter:["56A","56D"],label:"Intermediary"},
	{tag:"57A",status:M,tno:26,letter:["57A","57D"],label:"Account With Institution"},
	{tag:"77H",status:O,tno:27,letter:[],label:"Type, Date, Version of the Agreement"},
	{tag:"14C",status:O,tno:28,letter:[],label:"Year of Definitions"},
	{tag:"72",status:O,tno:29,letter:[],label:"Sender to Receiver Information"} 
],
	desp:"Mandatory Sequence A General Information"	},
	{seqlist:"B",cyccnt:0,status:O,seqs:[[
	{tag:"15B",status:M,tno:30,letter:[],label:"New Sequence"},
	{seqlist:"B1",cyccnt:1,status:O,seqs:[[
	{tag:"22L",status:M,tno:31,letter:[],label:"Reporting Jurisdiction"},
	{tag:"91A",status:O,tno:32,letter:["91A","91D","91J"],label:"Reporting Party"},
	{seqlist:"B1a",cyccnt:1,status:O,seqs:[[
	{tag:"22M",status:M,tno:33,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:34,letter:[],label:"Transaction Identifier"},
	{seqlist:"B1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence B1a1 Prior Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22M",status:M,tno:33,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:34,letter:[],label:"Transaction Identifier"},
	{seqlist:"B1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence B1a1 Prior Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence B1a Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22L",status:M,tno:31,letter:[],label:"Reporting Jurisdiction"},
	{tag:"91A",status:O,tno:32,letter:["91A","91D","91J"],label:"Reporting Party"},
	{seqlist:"B1a",cyccnt:1,status:O,seqs:[[
	{tag:"22M",status:M,tno:33,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:34,letter:[],label:"Transaction Identifier"},
	{seqlist:"B1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence B1a1 Prior Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22M",status:M,tno:33,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:34,letter:[],label:"Transaction Identifier"},
	{seqlist:"B1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence B1a1 Prior Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence B1a Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence B1 Reporting Parties"	},
	{tag:"81A",status:O,tno:37,letter:["81A","81D","81J"],label:"Central Counterparty Clearing House (CCP)"},
	{tag:"89A",status:O,tno:38,letter:["89A","89D","89J"],label:"Clearing Broker"},
	{tag:"96A",status:O,tno:39,letter:["96A","96D","96J"],label:"Clearing Exception Party"},
	{cyclist:"40",cycs:[[
	{tag:"22S",status:O,tno:40,letter:[],label:"Clearing Broker Identification"} 
]],
	pattern:[
	{tag:"22S",status:O,tno:40,letter:[],label:"Clearing Broker Identification"} 
]	},
	{tag:"22T",status:O,tno:41,letter:[],label:"Cleared Product Identification"},
	{tag:"17E",status:O,tno:42,letter:[],label:"Clearing Threshold Indicator"},
	{tag:"22U",status:O,tno:43,letter:[],label:"Underlying Product Identifier"},
	{tag:"35B",status:O,tno:44,letter:[],label:"Identification of Financial Instrument"},
	{tag:"17H",status:O,tno:45,letter:[],label:"Allocation Indicator"},
	{tag:"17P",status:O,tno:46,letter:[],label:"Collateralisation Indicator"},
	{tag:"22V",status:O,tno:47,letter:[],label:"Execution Venue"},
	{tag:"98D",status:O,tno:48,letter:[],label:"Execution Timestamp"},
	{tag:"17W",status:O,tno:49,letter:[],label:"Non Standard Flag"},
	{tag:"17Y",status:O,tno:50,letter:[],label:"Financial Nature of the Counterparty Indicator"},
	{tag:"17Z",status:O,tno:51,letter:[],label:"Collateral Portfolio Indicator"},
	{tag:"22Q",status:O,tno:52,letter:[],label:"Collateral Portfolio Code"},
	{tag:"17L",status:O,tno:53,letter:[],label:"Portfolio Compression Indicator"},
	{tag:"17M",status:O,tno:54,letter:[],label:"Corporate Sector Indicator"},
	{tag:"17Q",status:O,tno:55,letter:[],label:"Trade with Non-EEA Counterparty Indicator"},
	{tag:"17S",status:O,tno:56,letter:[],label:"Intragroup Trade Indicator"},
	{tag:"17X",status:O,tno:57,letter:[],label:"Commercial or Treasury Financing Indicator"},
	{cyclist:"58",cycs:[[
	{tag:"34C",status:O,tno:58,letter:[],label:"Commission and Fees"} 
]],
	pattern:[
	{tag:"34C",status:O,tno:58,letter:[],label:"Commission and Fees"} 
]	},
	{tag:"77A",status:O,tno:59,letter:[],label:"Additional Reporting Information"} 
]],
	pattern:[
	{tag:"15B",status:M,tno:30,letter:[],label:"New Sequence"},
	{seqlist:"B1",cyccnt:1,status:O,seqs:[[
	{tag:"22L",status:M,tno:31,letter:[],label:"Reporting Jurisdiction"},
	{tag:"91A",status:O,tno:32,letter:["91A","91D","91J"],label:"Reporting Party"},
	{seqlist:"B1a",cyccnt:1,status:O,seqs:[[
	{tag:"22M",status:M,tno:33,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:34,letter:[],label:"Transaction Identifier"},
	{seqlist:"B1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence B1a1 Prior Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22M",status:M,tno:33,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:34,letter:[],label:"Transaction Identifier"},
	{seqlist:"B1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence B1a1 Prior Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence B1a Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22L",status:M,tno:31,letter:[],label:"Reporting Jurisdiction"},
	{tag:"91A",status:O,tno:32,letter:["91A","91D","91J"],label:"Reporting Party"},
	{seqlist:"B1a",cyccnt:1,status:O,seqs:[[
	{tag:"22M",status:M,tno:33,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:34,letter:[],label:"Transaction Identifier"},
	{seqlist:"B1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence B1a1 Prior Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22M",status:M,tno:33,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:34,letter:[],label:"Transaction Identifier"},
	{seqlist:"B1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:35,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:36,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence B1a1 Prior Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence B1a Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence B1 Reporting Parties"	},
	{tag:"81A",status:O,tno:37,letter:["81A","81D","81J"],label:"Central Counterparty Clearing House (CCP)"},
	{tag:"89A",status:O,tno:38,letter:["89A","89D","89J"],label:"Clearing Broker"},
	{tag:"96A",status:O,tno:39,letter:["96A","96D","96J"],label:"Clearing Exception Party"},
	{cyclist:"40",cycs:[[
	{tag:"22S",status:O,tno:40,letter:[],label:"Clearing Broker Identification"} 
]],
	pattern:[
	{tag:"22S",status:O,tno:40,letter:[],label:"Clearing Broker Identification"} 
]	},
	{tag:"22T",status:O,tno:41,letter:[],label:"Cleared Product Identification"},
	{tag:"17E",status:O,tno:42,letter:[],label:"Clearing Threshold Indicator"},
	{tag:"22U",status:O,tno:43,letter:[],label:"Underlying Product Identifier"},
	{tag:"35B",status:O,tno:44,letter:[],label:"Identification of Financial Instrument"},
	{tag:"17H",status:O,tno:45,letter:[],label:"Allocation Indicator"},
	{tag:"17P",status:O,tno:46,letter:[],label:"Collateralisation Indicator"},
	{tag:"22V",status:O,tno:47,letter:[],label:"Execution Venue"},
	{tag:"98D",status:O,tno:48,letter:[],label:"Execution Timestamp"},
	{tag:"17W",status:O,tno:49,letter:[],label:"Non Standard Flag"},
	{tag:"17Y",status:O,tno:50,letter:[],label:"Financial Nature of the Counterparty Indicator"},
	{tag:"17Z",status:O,tno:51,letter:[],label:"Collateral Portfolio Indicator"},
	{tag:"22Q",status:O,tno:52,letter:[],label:"Collateral Portfolio Code"},
	{tag:"17L",status:O,tno:53,letter:[],label:"Portfolio Compression Indicator"},
	{tag:"17M",status:O,tno:54,letter:[],label:"Corporate Sector Indicator"},
	{tag:"17Q",status:O,tno:55,letter:[],label:"Trade with Non-EEA Counterparty Indicator"},
	{tag:"17S",status:O,tno:56,letter:[],label:"Intragroup Trade Indicator"},
	{tag:"17X",status:O,tno:57,letter:[],label:"Commercial or Treasury Financing Indicator"},
	{cyclist:"58",cycs:[[
	{tag:"34C",status:O,tno:58,letter:[],label:"Commission and Fees"} 
]],
	pattern:[
	{tag:"34C",status:O,tno:58,letter:[],label:"Commission and Fees"} 
]	},
	{tag:"77A",status:O,tno:59,letter:[],label:"Additional Reporting Information"} 
],
	desp:"Optional Sequence B Reporting Information"	} 
]
const Title="MT 305 Foreign Currency Option Confirmation"

export default { Tags,Title}