const M='M'
const O='O'

const Tags = [
	{seqlist:"A",cyccnt:0,status:M,seqs:[[
	{tag:"15A",status:M,tno:1,letter:[],label:"New Sequence"},
	{tag:"20",status:M,tno:2,letter:[],label:"Transaction Reference Number"},
	{tag:"21",status:M,tno:3,letter:[],label:"Related Reference"},
	{tag:"22",status:M,tno:4,letter:[],label:"Code/Common Reference"},
	{tag:"94A",status:O,tno:5,letter:[],label:"Scope of Operation"},
	{tag:"82A",status:M,tno:6,letter:["82A","82D","82J"],label:"Party A"},
	{tag:"87A",status:M,tno:7,letter:["87A","87D","87J"],label:"Party B"},
	{tag:"83A",status:O,tno:8,letter:["83A","83D","83J"],label:"Fund or Beneficiary Customer"},
	{tag:"30",status:M,tno:9,letter:[],label:"Date Contract Agreed/Amended"},
	{tag:"26C",status:M,tno:10,letter:[],label:"Identification of the Commodity"},
	{tag:"26H",status:O,tno:11,letter:[],label:"Counterparty's Reference"},
	{tag:"33G",status:M,tno:12,letter:[],label:"Price per Unit"},
	{tag:"71C",status:O,tno:13,letter:[],label:"Details of Adjustments"},
	{tag:"77H",status:M,tno:14,letter:[],label:"Type, Date, Version of the Agreement"},
	{tag:"77D",status:O,tno:15,letter:[],label:"Terms and Conditions"},
	{tag:"14C",status:O,tno:16,letter:[],label:"Year of Definitions"},
	{tag:"72",status:O,tno:17,letter:[],label:"Sender to Receiver Information"} 
]],
	pattern:[
	{tag:"15A",status:M,tno:1,letter:[],label:"New Sequence"},
	{tag:"20",status:M,tno:2,letter:[],label:"Transaction Reference Number"},
	{tag:"21",status:M,tno:3,letter:[],label:"Related Reference"},
	{tag:"22",status:M,tno:4,letter:[],label:"Code/Common Reference"},
	{tag:"94A",status:O,tno:5,letter:[],label:"Scope of Operation"},
	{tag:"82A",status:M,tno:6,letter:["82A","82D","82J"],label:"Party A"},
	{tag:"87A",status:M,tno:7,letter:["87A","87D","87J"],label:"Party B"},
	{tag:"83A",status:O,tno:8,letter:["83A","83D","83J"],label:"Fund or Beneficiary Customer"},
	{tag:"30",status:M,tno:9,letter:[],label:"Date Contract Agreed/Amended"},
	{tag:"26C",status:M,tno:10,letter:[],label:"Identification of the Commodity"},
	{tag:"26H",status:O,tno:11,letter:[],label:"Counterparty's Reference"},
	{tag:"33G",status:M,tno:12,letter:[],label:"Price per Unit"},
	{tag:"71C",status:O,tno:13,letter:[],label:"Details of Adjustments"},
	{tag:"77H",status:M,tno:14,letter:[],label:"Type, Date, Version of the Agreement"},
	{tag:"77D",status:O,tno:15,letter:[],label:"Terms and Conditions"},
	{tag:"14C",status:O,tno:16,letter:[],label:"Year of Definitions"},
	{tag:"72",status:O,tno:17,letter:[],label:"Sender to Receiver Information"} 
],
	desp:"Mandatory Sequence A Details of the Contract"	},
	{seqlist:"B",cyccnt:0,status:O,seqs:[[
	{tag:"15B",status:M,tno:18,letter:[],label:"New Sequence"},
	{tag:"32F",status:M,tno:19,letter:[],label:"Quantity of the Commodity"},
	{tag:"86A",status:O,tno:20,letter:["86A","86B","86D"],label:"Intermediary"},
	{tag:"87A",status:M,tno:21,letter:["87A","87B","87D"],label:"Receiver of the Commodity"},
	{tag:"34P",status:M,tno:22,letter:[],label:"Consideration"},
	{tag:"53A",status:O,tno:23,letter:["53A","53B","53D"],label:"Sender's Correspondent"},
	{tag:"56A",status:O,tno:24,letter:["56A","56B","56D"],label:"Intermediary"},
	{tag:"57A",status:M,tno:25,letter:["57A","57B","57D"],label:"Account With Institution"} 
]],
	pattern:[
	{tag:"15B",status:M,tno:18,letter:[],label:"New Sequence"},
	{tag:"32F",status:M,tno:19,letter:[],label:"Quantity of the Commodity"},
	{tag:"86A",status:O,tno:20,letter:["86A","86B","86D"],label:"Intermediary"},
	{tag:"87A",status:M,tno:21,letter:["87A","87B","87D"],label:"Receiver of the Commodity"},
	{tag:"34P",status:M,tno:22,letter:[],label:"Consideration"},
	{tag:"53A",status:O,tno:23,letter:["53A","53B","53D"],label:"Sender's Correspondent"},
	{tag:"56A",status:O,tno:24,letter:["56A","56B","56D"],label:"Intermediary"},
	{tag:"57A",status:M,tno:25,letter:["57A","57B","57D"],label:"Account With Institution"} 
],
	desp:"Optional Sequence B Commodity Bought"	},
	{seqlist:"C",cyccnt:0,status:O,seqs:[[
	{tag:"15C",status:M,tno:26,letter:[],label:"New Sequence"},
	{tag:"32F",status:M,tno:27,letter:[],label:"Quantity of the Commodity"},
	{tag:"86A",status:O,tno:28,letter:["86A","86B","86D"],label:"Intermediary"},
	{tag:"87A",status:M,tno:29,letter:["87A","87B","87D"],label:"Deliverer of the Commodity"},
	{tag:"34R",status:M,tno:30,letter:[],label:"Consideration"},
	{tag:"56A",status:O,tno:31,letter:["56A","56B","56D"],label:"Intermediary"},
	{tag:"57A",status:M,tno:32,letter:["57A","57B","57D"],label:"Account With Institution"} 
]],
	pattern:[
	{tag:"15C",status:M,tno:26,letter:[],label:"New Sequence"},
	{tag:"32F",status:M,tno:27,letter:[],label:"Quantity of the Commodity"},
	{tag:"86A",status:O,tno:28,letter:["86A","86B","86D"],label:"Intermediary"},
	{tag:"87A",status:M,tno:29,letter:["87A","87B","87D"],label:"Deliverer of the Commodity"},
	{tag:"34R",status:M,tno:30,letter:[],label:"Consideration"},
	{tag:"56A",status:O,tno:31,letter:["56A","56B","56D"],label:"Intermediary"},
	{tag:"57A",status:M,tno:32,letter:["57A","57B","57D"],label:"Account With Institution"} 
],
	desp:"Optional Sequence C Commodity Sold"	},
	{seqlist:"D",cyccnt:0,status:O,seqs:[[
	{tag:"15D",status:M,tno:33,letter:[],label:"New Sequence"},
	{seqlist:"D1",cyccnt:1,status:O,seqs:[[
	{tag:"22L",status:M,tno:34,letter:[],label:"Reporting Jurisdiction"},
	{tag:"91A",status:O,tno:35,letter:["91A","91D","91J"],label:"Reporting Party"},
	{seqlist:"D1a",cyccnt:1,status:O,seqs:[[
	{tag:"22M",status:M,tno:36,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:37,letter:[],label:"Transaction Identifier"},
	{seqlist:"D1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence D1a1 Prior Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22M",status:M,tno:36,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:37,letter:[],label:"Transaction Identifier"},
	{seqlist:"D1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence D1a1 Prior Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence D1a Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22L",status:M,tno:34,letter:[],label:"Reporting Jurisdiction"},
	{tag:"91A",status:O,tno:35,letter:["91A","91D","91J"],label:"Reporting Party"},
	{seqlist:"D1a",cyccnt:1,status:O,seqs:[[
	{tag:"22M",status:M,tno:36,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:37,letter:[],label:"Transaction Identifier"},
	{seqlist:"D1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence D1a1 Prior Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22M",status:M,tno:36,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:37,letter:[],label:"Transaction Identifier"},
	{seqlist:"D1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence D1a1 Prior Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence D1a Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence D1 Reporting Parties"	},
	{tag:"96A",status:O,tno:40,letter:["96A","96D","96J"],label:"Clearing Exception Party"},
	{cyclist:"41",cycs:[[
	{tag:"22S",status:O,tno:41,letter:[],label:"Clearing Broker Identification"} 
]],
	pattern:[
	{tag:"22S",status:O,tno:41,letter:[],label:"Clearing Broker Identification"} 
]	},
	{tag:"22T",status:O,tno:42,letter:[],label:"Cleared Product Identification"},
	{tag:"17E",status:O,tno:43,letter:[],label:"Clearing Threshold Indicator"},
	{tag:"22U",status:O,tno:44,letter:[],label:"Underlying Product Identifier"},
	{tag:"35B",status:O,tno:45,letter:[],label:"Identification of Financial Instrument"},
	{tag:"17H",status:O,tno:46,letter:[],label:"Allocation Indicator"},
	{tag:"17P",status:O,tno:47,letter:[],label:"Collateralisation Indicator"},
	{tag:"22V",status:O,tno:48,letter:[],label:"Execution Venue"},
	{tag:"98D",status:O,tno:49,letter:[],label:"Execution Timestamp"},
	{tag:"17W",status:O,tno:50,letter:[],label:"Non Standard Flag"},
	{tag:"17Y",status:O,tno:51,letter:[],label:"Financial Nature of the Counterparty Indicator"},
	{tag:"17Z",status:O,tno:52,letter:[],label:"Collateral Portfolio Indicator"},
	{tag:"22Q",status:O,tno:53,letter:[],label:"Collateral Portfolio Code"},
	{tag:"17L",status:O,tno:54,letter:[],label:"Portfolio Compression Indicator"},
	{tag:"17M",status:O,tno:55,letter:[],label:"Corporate Sector Indicator"},
	{tag:"17Q",status:O,tno:56,letter:[],label:"Trade with Non-EEA Counterparty Indicator"},
	{tag:"17S",status:O,tno:57,letter:[],label:"Intragroup Trade Indicator"},
	{tag:"17X",status:O,tno:58,letter:[],label:"Commercial or Treasury Financing Indicator"},
	{cyclist:"59",cycs:[[
	{tag:"34C",status:O,tno:59,letter:[],label:"Commission and Fees"} 
]],
	pattern:[
	{tag:"34C",status:O,tno:59,letter:[],label:"Commission and Fees"} 
]	},
	{tag:"77A",status:O,tno:60,letter:[],label:"Additional Reporting Information"} 
]],
	pattern:[
	{tag:"15D",status:M,tno:33,letter:[],label:"New Sequence"},
	{seqlist:"D1",cyccnt:1,status:O,seqs:[[
	{tag:"22L",status:M,tno:34,letter:[],label:"Reporting Jurisdiction"},
	{tag:"91A",status:O,tno:35,letter:["91A","91D","91J"],label:"Reporting Party"},
	{seqlist:"D1a",cyccnt:1,status:O,seqs:[[
	{tag:"22M",status:M,tno:36,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:37,letter:[],label:"Transaction Identifier"},
	{seqlist:"D1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence D1a1 Prior Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22M",status:M,tno:36,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:37,letter:[],label:"Transaction Identifier"},
	{seqlist:"D1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence D1a1 Prior Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence D1a Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22L",status:M,tno:34,letter:[],label:"Reporting Jurisdiction"},
	{tag:"91A",status:O,tno:35,letter:["91A","91D","91J"],label:"Reporting Party"},
	{seqlist:"D1a",cyccnt:1,status:O,seqs:[[
	{tag:"22M",status:M,tno:36,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:37,letter:[],label:"Transaction Identifier"},
	{seqlist:"D1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence D1a1 Prior Unique Transaction Identifier"	} 
]],
	pattern:[
	{tag:"22M",status:M,tno:36,letter:[],label:"UTI Namespace/Issuer Code"},
	{tag:"22N",status:M,tno:37,letter:[],label:"Transaction Identifier"},
	{seqlist:"D1a1",cyccnt:1,status:O,seqs:[[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
]],
	pattern:[
	{tag:"22P",status:M,tno:38,letter:[],label:"PUTI Namespace/Issuer Code"},
	{tag:"22R",status:M,tno:39,letter:[],label:"Prior Transaction Identifier"} 
],
	desp:"-----> Optional Repetitive Subsequence D1a1 Prior Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence D1a Unique Transaction Identifier"	} 
],
	desp:"-----> Optional Repetitive Subsequence D1 Reporting Parties"	},
	{tag:"96A",status:O,tno:40,letter:["96A","96D","96J"],label:"Clearing Exception Party"},
	{cyclist:"41",cycs:[[
	{tag:"22S",status:O,tno:41,letter:[],label:"Clearing Broker Identification"} 
]],
	pattern:[
	{tag:"22S",status:O,tno:41,letter:[],label:"Clearing Broker Identification"} 
]	},
	{tag:"22T",status:O,tno:42,letter:[],label:"Cleared Product Identification"},
	{tag:"17E",status:O,tno:43,letter:[],label:"Clearing Threshold Indicator"},
	{tag:"22U",status:O,tno:44,letter:[],label:"Underlying Product Identifier"},
	{tag:"35B",status:O,tno:45,letter:[],label:"Identification of Financial Instrument"},
	{tag:"17H",status:O,tno:46,letter:[],label:"Allocation Indicator"},
	{tag:"17P",status:O,tno:47,letter:[],label:"Collateralisation Indicator"},
	{tag:"22V",status:O,tno:48,letter:[],label:"Execution Venue"},
	{tag:"98D",status:O,tno:49,letter:[],label:"Execution Timestamp"},
	{tag:"17W",status:O,tno:50,letter:[],label:"Non Standard Flag"},
	{tag:"17Y",status:O,tno:51,letter:[],label:"Financial Nature of the Counterparty Indicator"},
	{tag:"17Z",status:O,tno:52,letter:[],label:"Collateral Portfolio Indicator"},
	{tag:"22Q",status:O,tno:53,letter:[],label:"Collateral Portfolio Code"},
	{tag:"17L",status:O,tno:54,letter:[],label:"Portfolio Compression Indicator"},
	{tag:"17M",status:O,tno:55,letter:[],label:"Corporate Sector Indicator"},
	{tag:"17Q",status:O,tno:56,letter:[],label:"Trade with Non-EEA Counterparty Indicator"},
	{tag:"17S",status:O,tno:57,letter:[],label:"Intragroup Trade Indicator"},
	{tag:"17X",status:O,tno:58,letter:[],label:"Commercial or Treasury Financing Indicator"},
	{cyclist:"59",cycs:[[
	{tag:"34C",status:O,tno:59,letter:[],label:"Commission and Fees"} 
]],
	pattern:[
	{tag:"34C",status:O,tno:59,letter:[],label:"Commission and Fees"} 
]	},
	{tag:"77A",status:O,tno:60,letter:[],label:"Additional Reporting Information"} 
],
	desp:"Optional Sequence D Reporting Information"	} 
]
const Title="MT 600 Commodity Trade Confirmation"

export default { Tags,Title}