import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T11R extends Component
{

    name='11R'
    desp = "MT and Date of the Original Message"
    
    pattern = ""
    tno = -1
    keys=[1,2,3,4]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let temp = "";
        if(obj.s3)
            temp ="\r\n" + obj.s3+obj.s4;
        
        let mval = `${obj.s1}\r\n${obj.s2}${temp}`.replace('/','')
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="MT Number"
                    required={this.props.status=='M' || mval?'required':null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                    <Input  value={value.s1} onChange={e=>this.onChange(1,e.target.value)}  maxLength={3} style={{imeMode:'disabled'}} placeholder="MT Number"/>

                </FormItem>
            </Col>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem                 
                     label="Date"  
                     required={this.props.status=='M' || mval?'required':null}
                     help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >
                            <DatePicker defaultValue="" format="yyMMdd" value={value.s2} onChange={(date, dateString)=>this.onChange(2,dateString)} />
                </FormItem>
            </Col>
            
            <Col span={6}>
                <FormItem
                 required={value.s3 || value.s4}
                 label="Session Number"  
                 help={errmsg.s3}
                 validateStatus={errmsg.s3?'error':null}
                >
                        
                        <Input type="text" value={value.s3} onChange={e=>this.onChange(3,e.target.value)}  maxLength={4} style={{imeMode:'disabled'}} placeholder="4位固定长度数字"/>
                </FormItem>
            </Col>
            <Col span={9}>
                <FormItem
                 label="ISN" 
                required={value.s3 || value.s4} 
                 help={errmsg.s4}
                 validateStatus={errmsg.s4?'error':null}
                >
                        
                        <Input type="text" value={value.s4} onChange={e=>this.onChange(4,e.target.value)}  maxLength={6} style={{imeMode:'disabled'}} placeholder="6位固定长度数字"/>
                </FormItem>
            </Col>
        </Row>)
    }
}