import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';
import { InputSize, Currency, FormatAmount ,mt300_21H} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T21H extends Component{

    name='21H'
    desp = "Event Type and Reference"
    pattern = "4!c/16x"
    tno = -1


    keys = [1,2]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""

        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });

        let mval = `${obj.s1}/${obj.s2}`

        this.props.onValue([obj, mval])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}


        return (<Row>
            
            <Col style={{"minWidth":'150px'}} span={10}>
                <FormItem
                    label="Event Type"
                    required={this.props.status=='M' || mval?'required':null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                            <Select  
                           
                            placeholder="Event Type"
                            showSearch
                           
                            allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(1,val)} >
                                
                                {
mt300_21H.map(item=><Option key={item.code}  value={item.code}>{item.code+'-'+item.name}</Option>)
}
                                   

                            </Select>
                </FormItem>
            </Col>

            <Col style={{ "minWidth": '300px' }} span={3}>
                <FormItem
                    label="Reference"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Input  value={value.s2} onChange={e => this.onChange(2, e.target.value)} maxLength={16} style={{ imeMode: 'disabled' }} placeholder="Reference of Previous Confirmation" />
                </FormItem>
            </Col>

        </Row>)
    }
}
