import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import {InputSize,Currency,FormatAmount,mt300_24D,mt320_24D} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

const typ= [
    { code: "APAY", name: "Advance payment	" },
    { code: "BILL", name: "Bill of lading	" },
    { code: "CUST", name: "Customs	" },
    { code: "DPAY", name: "Direct pay	" },
    { code: "INSU", name: "Insurance	" },
    { code: "JUDI", name: "Judicial	" },
    { code: "LEAS", name: "Lease	" },
    { code: "OTHR", name: "Any other local undertaking type which must be specified in narrative	" },
    { code: "PAYM", name: "Payment	" },
    { code: "PERF", name: "Performance	" },
    { code: "RETN", name: "Retention	" },
    { code: "SHIP", name: "Shipping	" },
    { code: "TEND", name: "Tender or bid	" },
    { code: "WARR", name: "Warranty/maintenance	" },
]

export default class T22K extends Component
{

    name='22K'
    desp = "Type of Undertaking"
    pattern = "4!c[/35x]"
    tno = -1


    keys=[1,2]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
       
        let mval = `${obj.s1}`

        if(obj.s2)
            mval = mval +'/' + obj.s2  
       
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        

        return (<Row>

             <Col style={{"minWidth":'150px'}} span={12}>
                <FormItem
                    label="Code" 
                    required={this.props.status=='M' || mval?'required':null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                                    <Select allowClear={true} value={value.s1} placeholder="Code" style={{ width: "100%" }} onChange={val=>this.onChange(1,val)}>
                                    {
                                typ.map(item => <Option key={item.code.trim()} value={item.code.trim()}>{item.code.trim() + '-' + item.name.trim()}</Option>)
                                }
                                    </Select>
                </FormItem>
            </Col>
            <Col  style={{"minWidth":'350px'}} span={3}>
                <FormItem
                 label="Narrative"  
                    required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >                       
                        <Input  addonBefore="/"  value={value.s2} onChange={e=>this.onChange(2,e.target.value)}  maxLength={35} style={{imeMode:'disabled'}} placeholder="Narrative"/>
                </FormItem>
            </Col>
      
        </Row>)
    }
}