import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option


export default class T24E extends Component
{

    name='24E'
    desp = "Delivery of Local Undertaking"
    
    pattern = "4!c['/'35x]"
    tno = -1

    
    keys=[1,2]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
       
        if(obj.s1!= 'COUR' && obj.s1!= 'OTHR'){
            obj.s2 = ""
        }

        let mval = `${obj.s1}`

        if(obj.s2)
            mval = mval +'/' + obj.s2  
       
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}


        return (<Row>

             <Col style={{"minWidth":'150px'}} span={15}>
                <FormItem
                    label="Code" 
                    required={this.props.status=='M' || mval?'required':null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                                    <Select allowClear={true} value={value.s1} placeholder="Code" style={{ width: "100%" }} onChange={val=>this.onChange(1,val)}>
                                        <Option  value="COLL">COLL-By collection</Option>
                                        <Option  value="COUR">COUR-By courier</Option>
                                        <Option  value="MAIL">MAIL-By mail</Option>
                                        <Option  value="MESS">MESS-By messenger</Option>
                                        <Option  value="OTHR">OTHR-Other method</Option>
                                        <Option  value="REGM">REGM-By registered mail or airmail</Option>
                                    </Select>
                </FormItem>
            </Col>
            <Col  style={{"minWidth":'350px'}} span={3}>
                <FormItem
                    label="Additional Information"  
                    required={false}
                    help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >                       
                        {
                            value.s1=='COUR' || value.s1=='OTHR'
                            ?
                            <Input  addonBefore="/"  value={value.s2} onChange={e=>this.onChange(2,e.target.value)}  maxLength={35} style={{imeMode:'disabled'}} placeholder="Additional Information" />
                            :<p>Empty Value</p>
                        }
                </FormItem>
            </Col>
      
        </Row>)
    }
}