import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';


import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;


export default class T32D extends Component
{

    name='32D'
    desp = "Amount of Charges"
    
    pattern = ""
    tno = -1

    
    keys=[1,2,3]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let temp = FormatAmount(obj.s3);
        
        let mval = `${obj.s1}${obj.s2}${temp}`.replace(/\//g,'')
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        this.keys.forEach(i=>this['s'+i]=value['s'+i])
        return (<Row>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem                 
                     label="Value Date"  
                        required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                            <DatePicker  defaultValue="" format="yyMMdd" value={value.s1} onChange={(date, dateString)=>this.onChange(1,dateString)} />
                </FormItem>
            </Col>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Currency"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >
                           <Select  
                           placeholder="Currency"
                           showSearch
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s2} onChange={val=>this.onChange(2,val)} >
                                {
                                   Currency.map(cur=><Option key={cur} value={cur}>{cur}</Option>) 
                                }
                            </Select>
                </FormItem>
            </Col>
            <Col span={12}>
                <FormItem
                 label="Interbank Settled Amount"  
                    required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s3}
                    validateStatus={errmsg.s3?'error':null}
                >
                        
                        <Input  value={value.s3} onChange={e=>this.onChange(3,e.target.value)}  maxLength={16} style={{imeMode:'disabled'}} placeholder="Interbank Settled Amount"/>
                </FormItem>
            </Col>
        </Row>)
    }
}