import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T32F extends Component {

    name = '32F'
    desp = " Quantity of the Commodity"
    pattern = "	3!a15d"
    tno = -1


    keys = [1, 2]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""

        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });
        let temp = FormatAmount(obj.s2);
        let mval = `${obj.s1 || ''}${temp || ''}`
        this.props.onValue([obj, mval])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}
       


        return (<Row>
            <Col style={{ "minWidth": '100px' }} span={3}>
                <FormItem
                    label="Unit"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >

                    <Select allowClear={true} value={value.s1} style={{ width: "100%" }} placeholder="Unit" onChange={(val) => this.onChange(1, val)}>
                        <Option value="FOZ">FOZ</Option>
                        <Option value="GOZ">GOZ</Option>
                        <Option value="GRM">GRM</Option>
                        <Option value="KLO">KLO</Option>
                        <Option value="LIT">LIT</Option>
                        <Option value="LOT">LOT</Option>
                        <Option value="OTH">OTH</Option>
                        <Option value="PND">PND</Option>
                        <Option value="TAL">TAL</Option>
                        <Option value="TOL">TOL</Option>
                        <Option value="TON">TON</Option>
                        <Option value="TOZ">TOZ</Option>
                        <Option value="UNT">UNT</Option>
                    </Select>

                </FormItem>
            </Col>
            <Col style={{ "minWidth": '200px' }} span={3}>
                <FormItem
                    label="Amount"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s2}
                    validateStatus={errmsg.s2 ? 'error' : null}
                >
                    <Input value={value.s2} onChange={e => this.onChange(2, e.target.value)} maxLength={15} style={{ imeMode: 'disabled' }} placeholder="Amount" />
                </FormItem>
            </Col>
        </Row>)
    }
}