import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import {InputSize,Currency,FormatAmount,_34C} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T34C extends Component
{

    name='34C'
    desp = "Commission and Fees"
    pattern = "4!c/[N]3!a15d"
    tno = -1


    keys=[1,2,3,4]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let temp = FormatAmount(obj.s3);
        let mval = ""
            mval = `${obj.s1}`
        if(obj.s4)
        {
            mval =  mval +'/'+obj.s4
        }else{
            mval =  mval +'/'
        }
            mval = mval+`${obj.s2}`
            mval = mval + `${temp}`
        this.props.onValue([obj,mval])
        
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}


        return (<Row>
             <Col style={{"minWidth":'200px'}} span={8}>
                <FormItem
                    label="Commission Type"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select  
                           
                           placeholder="Commission Type"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(1,val)} >
                                
                                {
_34C.map(item=><Option key={item.code}  value={item.code}>{item.code+'-'+item.name}</Option>)
}

                            </Select>
                </FormItem>
            </Col>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Currency"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s3}
                    validateStatus={errmsg.s2?'error':null}
                >
                           <Select  
                           
                           placeholder="Currency"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s2} onChange={val=>this.onChange(2,val)} >
                                {
                                   Currency.map(cur=><Option key={cur} value={cur}>{cur}</Option>) 
                                }
                            </Select>
                </FormItem>
            </Col>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Sign" 
                
                    help={errmsg.s4}
                    validateStatus={errmsg.s4?'error':null}
                >
                                    <Select allowClear={true} value={value.s4} placeholder="Sign" style={{ width: "100%" }} onChange={val=>this.onChange(4,val)}>
                                        <Option  value={'N'}>{"N"}</Option>
                                    </Select>
                </FormItem>
            </Col>
            <Col  style={{"minWidth":'200px'}} span={3}>
                <FormItem
                 label="Price"  
                    required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s3}
                    validateStatus={errmsg.s3?'error':null}
                >                       
                        <Input  value={value.s3} onChange={e=>this.onChange(3,e.target.value)}  maxLength={15} style={{imeMode:'disabled'}} placeholder="Price"/>
                </FormItem>
            </Col>
          
        </Row>)
    }
}