import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T36B extends Component
{

    name='36B'
    desp = "Quantity of Financial Instrument"
    pattern = ":4!c//4!c/15d"
    tno = -1


    keys=[1,2,3]    
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let temp = FormatAmount(obj.s3);
        
        let mval = `:${obj.s1}//${obj.s2}/${temp}`
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}


        return (<Row>
              <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Qualifier"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select  
                           
                           placeholder="Qualifier"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(1,val)} >
                                
                                   <Option  value="PAIR">PAIR</Option>
                                   <Option  value="TURN">TURN</Option>
                                   <Option  value="MION">MION</Option>
                                   <Option  value="SIZE">SIZE</Option>
                                   <Option  value="SETT">SETT</Option>
                                   <Option  value="LOST">LOST</Option>

                            </Select>
                </FormItem>
            </Col>
            
            <Col style={{"minWidth":'200px'}} span={3}>
                <FormItem
                    label="Quantity Type Code"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >
                           <Select  
                           
                           placeholder="Quantity Type Code"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s2} onChange={val=>this.onChange(2,val)} >
                                
                                   <Option  value="AMOR">AMOR</Option>
                                   <Option  value="FAMT">FAMT</Option>
                                   <Option  value="UNIT">UNIT</Option>

                            </Select>
                </FormItem>
            </Col>

            <Col style={{ "minWidth": '200px' }} span={3}>
                <FormItem
                    label="Quantity"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s3}
                    validateStatus={errmsg.s3 ? 'error' : null}
                >
                    <Input value={value.s3} onChange={e => this.onChange(3, e.target.value)} maxLength={15} style={{ imeMode: 'disabled' }} placeholder="Quantity" />
                </FormItem>
            </Col>
        </Row>)
    }
}