import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

const FormItem = Form.Item;


export default class T40B extends Component {

    name = '40B'
    desp = "Form of Documentary Credit"

    pattern = "24x 24x"
    tno = -1
    keys = [1, 2]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""

        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });

        let mval = `${obj.s1}\r\n${obj.s2}`

        this.props.onValue([obj, mval])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}
        return (
            <div>
                <Row>
                    <Col span={10}>
                        <FormItem
                            help={errmsg.s1}
                            validateStatus={errmsg.s1 ? 'error' : null}
                        >
                            <Select allowClear={true} style={{ width: "100%" }} value={value.s1} onChange={val => {

                                this.onChange(1,val)
                            }
                            }  >
                                <Option value="IRREVOC TRANS STANDBY" >IRREVOC TRANS STANDBY</Option>
                                <Option value="IRREVOCABLE" >IRREVOCABLE</Option>
                            </Select>
                        </FormItem>
                    </Col>
                </Row>
                <Row>
                    <Col span={10}>
                        <FormItem
                            help={errmsg.s2}
                            validateStatus={errmsg.s1 ? 'error' : null}
                        >
                            <Select allowClear={true} style={{ width: "100%" }} value={value.s2} onChange={val => {

                                this.onChange(2,val)
                            }
                            }  >
                                <Option value="ADDING OUR CONFIRMATION" >ADDING OUR CONFIRMATION</Option>
                                <Option value="WITHOUT OUR CONFIRMATION" >WITHOUT OUR CONFIRMATION</Option>
                            </Select>
                        </FormItem>
                    </Col>
                </Row>
            </div>
        )
    }
}