import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T40C extends Component
{

    name='40C'
    desp = "Applicable Rules"
    
    pattern = ""
    tno = -1

    keys=[1,2]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let mval = `${obj.s1}`
        if(obj.s2)
            mval = `${mval}/${obj.s2}`
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            
            <Col style={{"minWidth":'100px'}} span={20}>
                <FormItem
                    label="Type"
                    required={this.props.status=='M' || mval?'required':null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select size={InputSize} 
                           placeholder="Type"
                           showSearch allowClear={true} 
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(1,val)} >
                                
                                   <Option  value="ISPR">ISPR-The version of the International Standby Practices (ISP)</Option>
                                    <Option  value="NONE">NONE-The undertaking is not subject to any rules.</Option>
                                    <Option  value="OTHR">OTHR-The undertaking is subject to another set of rules</Option>
                                    <Option  value="UCPR">UCPR-Uniform Customs and Practice for Documentary Credits</Option>
                                    <Option  value="URDG">URDG-The version of the ICC Uniform Rules For Demand Guarantees</Option>
                                    

                            </Select>
                </FormItem>
            </Col>
            <Col span={14}>
                <FormItem
                 label="Narrative"  
                    help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >
                        
                        <Input type="text" value={value.s2} onChange={e=>this.onChange(2,e.target.value)}  maxLength={35} style={{imeMode:'disabled'}} placeholder="Narrative"/>
                </FormItem>
            </Col>
        </Row>)
    }
}