import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

import { InputSize, Currency, FormatAmount ,COUNTRY} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T44H extends Component {

    name = '44H'
    desp = "Governing Law and/or Place of Jurisdiction"

    pattern = "2!a['/'65x]"
    tno = -1

    keys = [1, 2]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""
        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });
        let mval = `${obj.s1}`
        if (obj.s2)
            mval = `${mval}/${obj.s2}`
        this.props.onValue([obj, mval])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}

        return (
            <div>
                <Row>
                    <Col style={{ "minWidth": '100px' }} span={12}>
                        <FormItem
                            label="Country Code"
                            required={this.props.status == 'M' || mval ? 'required' : null}
                            help={errmsg.s1}
                            validateStatus={errmsg.s1 ? 'error' : null}
                        >

                            <Select allowClear={true} 
                                size={InputSize} 
                                defaultValue={''} 
                                style={{ width: "100%" }} 
                                placeholder="Country Code" 
                                value={value.s1} 
                                onChange={(val) => this.onChange(1, val)}>
                                    {
                                    COUNTRY.map(item=><Option key={item.code}  value={item.code}>{item.code+'-'+item.name}</Option>)
                                }




                            </Select>


                        </FormItem>
                    </Col>
                </Row>
                <Row>
                    <Col>
                        <FormItem
                            label="Narrative"
                            help={errmsg.s2}
                            validateStatus={errmsg.s2 ? 'error' : null}
                        >
                            <Input type="text" maxLength={65} style={{ imeMode: 'disabled' }} placeholder="Narrative" value={value.s2} onChange={(e) => this.onChange(2, e.target.value)} />
                        </FormItem>

                    </Col>
                </Row>
            </div>
        )
    }
}