import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T48B extends Component
{

    name='48B'
    desp = "Demand Indicator"
    
    pattern = ""
    tno = -1
    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col  span={15}>
                <FormItem
                   required={this.props.status=='M' || mval?'required':null} 
                    help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >
                           <Select size={InputSize} 
                           placeholder={this.props.desp}
                           showSearch
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} 
                            value={value.s1} 
                            onChange={val=>this.onChange(val)} >
                                <Option key="NMLT" value="NMLT">NMLT-Multiple demands not permitted</Option>
                                <Option key="NMPT" value="NMPT">NMPT-Multiple and partial demands not permitted</Option>
                                <Option key="NPRT" value="NPRT">NPRT-Partial demands not permitted</Option>
                                 
                            </Select>
                </FormItem>
            </Col>
        </Row>)
    }
}