import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T92A extends Component {

    name = '92A'
    desp = "Rate"
    pattern = ":4!c//[N]15d"
    tno = -1


    keys = [1, 2, 3]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""

        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });
        let temp = FormatAmount(obj.s2);
        let mval = `:${obj.s1}//${temp}`
        if (obj.s3)
            mval = `:${obj.s1}//${obj.s3}${temp}`
        this.props.onValue([obj, mval])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}


        return (<Row>
            
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Qualifier"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select  
                           
                           placeholder="Qualifier"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(1,val)} >
                                
                                   <Option  value="PRFC">PRFC</Option>
                                   <Option  value="CUFC">CUFC</Option>
                                   <Option  value="NWFC">NWFC</Option>
                                   <Option  value="INTR">INTR</Option>
                                   <Option  value="NXRT">NXRT</Option>
                                   <Option  value="INDX">INDX</Option>
                                   <Option  value="YTMR">YTMR</Option>
                                   <Option  value="VASU">VASU</Option>
                                   <Option  value="REPO">REPO</Option>
                                   <Option  value="RSPR">RSPR</Option>
                                   <Option  value="PRIC">PRIC</Option>
                                   <Option  value="SLMG">SLMG</Option>
                                   <Option  value="SHAI">SHAI</Option>

                            </Select>
                </FormItem>
            </Col>

            <Col style={{ "minWidth": '100px' }} span={3}>
                <FormItem
                    label="Sign"
                    help={errmsg.s3}
                    validateStatus={errmsg.s3 ? 'error' : null}
                >
                    <Select allowClear={true} value={value.s3} placeholder="Sign" style={{ width: "100%" }} onChange={val => this.onChange(3, val)}>
                        <Option value={'N'}>{"N"}</Option>
                    </Select>
                </FormItem>
            </Col>
            
            <Col style={{ "minWidth": '200px' }} span={3}>
                <FormItem
                    label="Rate"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s2}
                    validateStatus={errmsg.s2 ? 'error' : null}
                >
                    <Input value={value.s2} onChange={e => this.onChange(2, e.target.value)} maxLength={15} style={{ imeMode: 'disabled' }} placeholder="Rate" />
                </FormItem>
            </Col>

        </Row>)
    }
}