import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T92B extends Component
{

    name='92B'
    desp = "Exchange Rate"
    pattern = ":4!c//3!a/3!a/15d"
    tno = -1


    keys=[1,2,3,4]    
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let temp = FormatAmount(obj.s4);
        let mval = `:${obj.s1}//${obj.s2}/${obj.s3}/${temp}`
    
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}


        return (<Row>
            <Col style={{ "minWidth": '100px' }} span={3}>
                <FormItem
                    label="Qualifier"
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Input  value={value.s1="EXCH"} placeholder="Qualifier" style={{ width: "100%" }} onChange={val => this.onChange(3, val)}>
            
                    </Input>
                </FormItem>
            </Col>

            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Currency"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >
                           <Select  
                            placeholder="Currency"
                            showSearch
                            allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s2} onChange={val=>this.onChange(2,val)} >
                                {
                                   Currency.map(cur=><Option key={cur} value={cur}>{cur}</Option>) 
                                }
                            </Select>
                </FormItem>
            </Col>

            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Currency"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s3}
                    validateStatus={errmsg.s3?'error':null}
                >
                           <Select  
                            placeholder="Currency"
                            showSearch
                            allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s3} onChange={val=>this.onChange(3,val)} >
                                {
                                   Currency.map(cur=><Option key={cur} value={cur}>{cur}</Option>) 
                                }
                            </Select>
                </FormItem>
            </Col>
            
            <Col style={{ "minWidth": '200px' }} span={3}>
                <FormItem
                    label="Rate"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s4}
                    validateStatus={errmsg.s4 ? 'error' : null}
                >
                    <Input value={value.s4} onChange={e => this.onChange(4, e.target.value)} maxLength={15} style={{ imeMode: 'disabled' }} placeholder="Rate" />
                </FormItem>
            </Col>

        </Row>)
    }
}