import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T94B extends Component
{

    name='94B'
    desp = "Place"
    pattern = ":4!c/[8c]/4!c[/30x]"
    tno = -1


    keys=[1,2,3,4]    
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
       
        let mval = `:${obj.s1}//${obj.s3}`
        if (obj.s2)
            mval = `:${obj.s1}/${obj.s2}/${obj.s3}`
        if (obj.s4)
            mval = mval + '/' + obj.s4
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}


        return (<Row>

            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Qualifier"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select  
                           
                           placeholder="Qualifier"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(1,val)} >
                                
                                   <Option  value="CLEA">EXCH</Option>
                                   <Option  value="TRAD">OTCO</Option>
                                   <Option  value="SAFE">SAFE</Option>

                            </Select>
                </FormItem>
            </Col>

            <Col span={12}>
                <FormItem
                    label="Data Source Scheme"
                    help={errmsg.s2}
                    validateStatus={errmsg.s2 ? 'error' : null}
                >

                    <Input type="text" value={value.s2}  addonBefore="/" onChange={e =>this.onChange(2, e.target.value)} maxLength={8} style={{ imeMode:'disabled'}} placeholder="Data Source Scheme" />
                </FormItem>
            </Col>

            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Place Code"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s3}
                    validateStatus={errmsg.s3?'error':null}
                >
                           <Select  
                           
                           placeholder="Place Code"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s3} onChange={val=>this.onChange(3,val)} >
                                
                                   <Option  value="EXCH">EXCH</Option>
                                   <Option  value="OTCO">OTCO</Option>
                                   <Option  value="PRIM">PRIM</Option>
                                   <Option  value="SECM">SECM</Option>
                                   <Option  value="VARI">VARI</Option>
                                   <Option  value="CUST">CUST</Option>
                                   <Option  value="ICSD">ICSD</Option>
                                   <Option  value="NCSD">NCSD</Option>
                                   <Option  value="SHHE">SHHE</Option>

                            </Select>
                </FormItem>
            </Col>

            <Col span={12}>
                <FormItem
                 label="Narrative"  
                 help={errmsg.s4}
                 validateStatus={errmsg.s4?'error':null}
                >
                        
                    <Input maxLength={30} style={{imeMode:'disabled'}} placeholder="Narrative"  value={value.s4}  onChange={e=>this.onChange(4,e.target.value)}/>
                </FormItem>
            </Col>
        </Row>)
    }
}