import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
const FormItem = Form.Item;


export default class T98B extends Component
{
    
    name='98B'
    desp = "Preparation Date/Time"
    pattern = ":4!c/[8c]/4!c"
    tno = -1

    keys = [1,2,3]

    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""
        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });
         
        let mval = `:${obj.s1}//${obj.s3}`
        if(obj.s2)
            mval = `:${obj.s1}/${obj.s2}/${obj.s3}`
        this.props.onValue([obj, mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        return (<Row>

             <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Qualifier"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select  
                           
                           placeholder="Qualifier"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(1,val)} >
                                
                                   <Option  value="PREP">PREP</Option>
                                   <Option  value="SETT">SETT</Option>
                                   <Option  value="TRAD">TRAD</Option>
                                   <Option  value="ADEL">ADEL</Option>
                                   <Option  value="COUP">COUP</Option>
                                   <Option  value="FRNR">FRNR</Option>
                                   <Option  value="MATU">MATU</Option>
                                   <Option  value="ISSU">ISSU</Option>
                                   <Option  value="CALD">CALD</Option>
                                   <Option  value="PUTT">PUTT</Option>
                                   <Option  value="DDTE">DDTE</Option>
                                   <Option  value="FCOU">FCOU</Option>
                                   <Option  value="TERM">TERM</Option>
                                   <Option  value="RERA">RERA</Option>
                                   <Option  value="PROC">PROC</Option>
                                   <Option  value="VALU">VALU</Option>
                            </Select>
                </FormItem>
            </Col>
    
            <Col span={12}>
                <FormItem
                    label="Data Source Scheme"
                    help={errmsg.s2}
                    validateStatus={errmsg.s2 ? 'error' : null}
                >

                    <Input type="text" value={value.s2}  addonBefore="/" onChange={e =>this.onChange(2, e.target.value)} maxLength={8} style={{ imeMode:'disabled'}} placeholder="Data Source Scheme" />
                </FormItem>
            </Col>
            
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Date Code"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s3}
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select  
                           
                           placeholder="Date Code"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s3} onChange={val=>this.onChange(3,val)} >
                                
                                <Option  value="WISS">WISS</Option>
                                <Option  value="VARI">VARI</Option>	
                                <Option  value="OPEN">OPEN</Option>	
                         
                            </Select>
                </FormItem>
            </Col>
        </Row>)
    }
}